Bug 239237 - xorg does not start on rawhide live 20070502-i386
xorg does not start on rawhide live 20070502-i386
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-06 15:57 EDT by Jay O'Three
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf as requested (3.20 KB, text/plain)
2007-06-12 20:54 EDT, Jay O'Three
no flags Details
Xorg.0.log as requested (51.22 KB, text/plain)
2007-06-12 20:56 EDT, Jay O'Three
no flags Details
xorg.conf generated by feisty fawn (3.34 KB, text/plain)
2007-08-22 12:25 EDT, Jay O'Three
no flags Details

  None (edit)
Description Jay O'Three 2007-05-06 15:57:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3

Description of problem:
the live cd boots, goes throught the entire non-interactive setup, gets to the place where x windows should show an x and never does another thing, no matter how long one waits.  Further, there is no non-x terminal available (like when one keys in Ctrl-Alt F1 in other x systems).

gq notebook that runs fc5 and fc6 perfectly, lspci looks like this:
00:00.0 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.7 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:05.0 Network controller: RaLink Ralink RT2500 802.11G Cardbus/mini-PCI (rev 01)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:11.6 Communication controller: VIA Technologies, Inc. AC'97 Modem Controller (rev 80)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter (rev 01)



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. insert rawhide live cd 20070502-i386
2. turn on computer
3. wait for failure, repeat until furious, throw away the cd and wait for another release

Actual Results:
system becomes completely non-responsive

Expected Results:
should have booted up to a live cd session

Additional info:
I remain ever hopeful.
Comment 1 Adam Jackson 2007-06-06 18:20:46 EDT
Is this still an issue with F7 final?
Comment 2 Jay O'Three 2007-06-06 19:01:30 EDT
Yes, absolutely, still an issue.  I can use the same disk to boot other
computers, but this GQ notebook won't boot.  I have tried passing X_DRIVER=vesa
on the grub boot line (which is what I must run in FC5), but there is no difference.
Comment 3 Jay O'Three 2007-06-06 19:27:33 EDT
(In reply to comment #1)
> Is this still an issue with F7 final?

Yes, absolutely, still an issue.  I can use the same disk to boot other
computers, but this GQ notebook won't boot.  I have tried passing X_DRIVER=vesa
on the grub boot line (which is what I must run in FC5), but there is no difference.
Comment 4 Matěj Cepl 2007-06-10 19:23:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Jay O'Three 2007-06-12 20:54:49 EDT
Created attachment 156837 [details]
xorg.conf as requested

remember, this is the working xorg.conf from my working FC5 "yum upgraded"
system.
Comment 6 Jay O'Three 2007-06-12 20:56:05 EDT
Created attachment 156838 [details]
Xorg.0.log as requested

remember this is from my working FC5 "yum upgraded" system.
Comment 7 Jay O'Three 2007-06-12 20:58:22 EDT
OK; 

Attachments are there.  I will not be able to do the requested boot without
/etc/X11/xorg.conf from the live CD -- unless someone has a recipe.  So far, I
have found no way to get it to do anything but boot to runlevel 5.

Thank you for any help you can give,

Comment 8 Matěj Cepl 2007-06-15 10:10:49 EDT
You meant "runlevel 3", right? Runlevel 5 wouldn't be that bad ;-). And no
sorry, that's my mistake -- autoconfiguration is not supported in FC5, so this
is OK.

BTW, there is just slightly more than two weeks before FC5 will be unsupported,
you should really upgrade.
Comment 9 Jay O'Three 2007-08-22 12:25:45 EDT
Created attachment 162076 [details]
xorg.conf generated by feisty fawn

this xorg.conf works for my gq notebook
Comment 10 Adam Jackson 2008-02-18 11:31:38 EST
Throwing this to openchrome.  It's probably a via bug, but via's a dead end.
Comment 11 Xavier Bachelot 2008-02-18 12:01:13 EST
Fedora 7 and newer ships the openchrome driver which should support your GPU
just fine (although not out of the box for F7 and F8, you'll have to 'yum
install xorg-x11-drv-openchrome' and change the driver in xorg.conf). The F9
beta live CD does use the openchrome driver by default (not fully featured yet,
as it's currently being ported to libpciaccess), it should do the trick if you
absolutely need a liveCD.
Comment 12 Matěj Cepl 2008-04-10 05:38:10 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 13 Bug Zapper 2008-05-13 22:51:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Brennan Ashton 2008-06-07 20:23:34 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.